nm(1)

NAME
nm—list symbols from object files.

SYNOPSIS

nm  [-a|+debug-syms] [-g|+extern-only] [-s|+print-armap] [-o|+print-file-name] [-n|+numeric-sort] [-p|+no-sort] [-r|+reverse-sort] [-u|+undefined-only] [+target bfdname ] [ objfiles ...]

DESCRIPTION
GNU nm will list the symbols from object files objfiles .

OPTIONS
The long and short forms of options, shown here as alternatives, are equivalent.

objfiles...
    Object files whose symbols are to be listed. If no object files are listed as arguments, nm assumes `a.out '.

-a

+debug-syms
    Display debugger-only symbols; normally these are not listed.

-g

+extern-only
    Display only external symbols.

-p

+no-sort
    Don't bother to sort the symbols in any order; just print them in the order encountered.

-n

+numeric-sort
    Sort symbols numerically by their addresses, not alphabetically by their names.

-s

+print-armap
    When listing symbols from archive members, include the index: a mapping (stored in the archive by ar or ranlib ) of what modules contain definitions for what names.

-o

+print-file-name
    Precede each symbol by the name of the input file where it was found, rather than identifying the input file once only before all of its symbols.

-r

+reverse-sort
    Reverse the sense of the sort (whether numeric or alphabetic); let the last come first.

+target bfdname
    Specify an object code format other than your system's default format. See objdump(1), for information on listing available formats.

-u

+undefined-only
    Display only undefined symbols (those external to each object file).

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (October 1991); ar(1), objdump(1), ranlib(1).

COPYING
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.